program calc4;
uses crt;
var
a0,a1,a2,a3,a4,a5,a6,a7,a8,a9,d0,d1,d2,d3,d4,d5,d6,d7,d8,e: real;
c1,c2,c3,c4,c5,c6,c7,c8,c9: char;
begin
writeln('Выберите тип вычисления, 1 или 2');
Readln(e);
repeat
if e=1 then begin
writeln('Напишите первое число');
readln(a0);
writeln('Напишите знак');
readln(c1);
writeln('Напишите второе число');
readln(a1);
writeln('Напишите знак');
readln(c2);
writeln('Напишите третее число');
readln(a2);
writeln('Напишите знак');
readln(c3);
writeln('Напишите четвёртое число');
readln(a3);
writeln('Напишите знак');
readln(c4);
writeln('Напишите пятое число');
readln(a4);
writeln('Напишите знак');
readln(c5);
writeln('Напишите шестое число');
readln(a5);
writeln('Напишите знак');
readln(c6);
writeln('Напишите седьмое число');
readln(a6);
writeln('Напишите знак');
readln(c7);
writeln('Напишите восьмое число');
readln(a7);
writeln('Напишите знак');
readln(c8);
writeln('Напишите девятое число');
readln(a8);
writeln('Напишите знак');
readln(c9);
writeln('Напишите десятое знак');
readln(a9);
end;
if e=2 then begin
Writeln('Напишите пример, каждый знак через запятую девять знаков действия');
Readln(a0,c1,a1,c2,a2,c3,a3,c4,a4,c5,a5,c6,a6,c7,a7,c8,a8,c9,a9);
end;
write('Ожидайте');
sleep(1000);
write('.');
sleep(1000);
write('.');
sleep(1000);
write('.');
writeln('');
case c1 of
  '+': d0:=a0+d1;
  '-': d0:=a0-d1;
  '*': d0:=a0*d1;
  '/': d0:=a0/d1;
end;
case c2 of
  '+': d1:=d1+a1;
  '-': d1:=d1-a1;
  '*': d1:=d1*a1;
  '/': d1:=d1/a1;
end;
case c3 of
  '+': d2:=d1+a2;
  '-': d2:=d1-a2;
  '*': d2:=d1*a2;
  '/': d2:=d1/a2;
end;
case c4 of
  '+': d3:=d2+a3;
  '-': d3:=d2-a3;
  '*': d3:=d2*a3;
  '/': d3:=d2/a3;
end;
case c5 of
  '+': d4:=d3+a4;
  '-': d4:=d3-a4;
  '*': d4:=d3*a4;
  '/': d4:=d3/a4;
end;
case c6 of
  '+': d5:=d4+a5;
  '-': d5:=d4-a5;
  '*': d5:=d4*a5;
  '/': d5:=d4/a5;
end;
case c7 of
  '+': d6:=d5+a6;
  '-': a6:=d5-a6;
  '*': d6:=d5*a6;
  '/': d6:=d5/a6;
end;
case c8 of
  '+': d7:=d6+a7;
  '-': d7:=d6-a7;
  '*': d7:=d6*a7;
  '/': d7:=d6/a7;
end;
case c9 of
  '+': d8:=d7+a8;
  '-': d8:=d7-a8;
  '*': d8:=d7*a8;
  '/': d8:=d7/a8;
end;
writeln('');
write('ответ=');
writeln(d8);
writeln('==========================================');
writeln('Далее идут результаты по действиям');
writeln('1=',d0);
writeln('2=',d1);
writeln('3=',d2);
writeln('4=',d3);
writeln('5=',d4);
writeln('6=',d5);
writeln('7=',d6);
writeln('8=',d7);
writeln('9=',d8);
writeln('==========================================');
writeln('==========================================');
writeln('==========================================');
until e=228
end.
